Firefox OS Simulator should use gstreamer 1.0

RESOLVED WORKSFORME

Status

Firefox OS
Simulator
P5
normal
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: Nazar Mokrynskyi, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
Firefox OS Simulator doesn't play any music on my system since I've removed all components of gstreamer 0.10 because no other apps use it anymore.
Firefox OS Simulator should use gstreamer 1.0 (looks like Firefox itself already use it).
This is a serious problem for me because I'm maintaining music app and need to install all **** gstreamer 0.10 packages just for simulator.
I bet bug 947287 would fix this. If you are using a distro-provided build of Firefox, then it's probably being built with a different configuration than the one used by Mozilla.
Depends on: 947287
(Reporter)

Comment 2

3 years ago
I'm using sable from default Ubuntu repository and Nightly from daily Mozilla ppa, both works with gstreamer 1.0
If that bug will affect Simulator also (as I understood bug is about desktop build) - then yes, it would fix this.
Indeed, Canonical builds with --enable-gstreamer=1.0 as you can see in about:buildconfig.
Priority: -- → P5
gstreamer is going in bug 1234092
Status: UNCONFIRMED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.